with_igraph_opt {igraph} | R Documentation

## Run code with a temporary igraph options setting

### Description

Run code with a temporary igraph options setting

### Usage

    with_igraph_opt(options, code)

### Arguments

`options` | A named list of the options to change.
`code` | The code to run.

### Value

The result of the `code`.

### See Also

Other igraph options: `igraph_options`

### Examples

    with_igraph_opt(
      list(sparsematrices = FALSE),
      make_ring(10)[]
    )
    igraph_opt("sparsematrices")

[Package igraph version 1.1.2 Index]